#ifndef _Handle_PGeom_Geometry_HeaderFile
#define _Handle_PGeom_Geometry_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PGeom_Geometry;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Geometry);

class Handle(PGeom_Geometry) : public Handle(Standard_Persistent) {
  public:

    Handle(PGeom_Geometry)():Handle(Standard_Persistent)() {} 
    Handle(PGeom_Geometry)(const Handle(PGeom_Geometry)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PGeom_Geometry)(const PGeom_Geometry* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PGeom_Geometry)& operator=(const Handle(PGeom_Geometry)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Geometry)& operator=(const PGeom_Geometry* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Geometry* operator->() const 
     {
      return (PGeom_Geometry *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Geometry) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
